commit:     c255f55e15454e9b37970488f3030a89fc06a0df
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 28 12:55:48 2026 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Feb 28 12:56:01 2026 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=c255f55e

sci-biology/snapgene: add 8.2.2

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sci-biology/snapgene/snapgene-8.2.2.ebuild | 37 ++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/sci-biology/snapgene/snapgene-8.2.2.ebuild 
b/sci-biology/snapgene/snapgene-8.2.2.ebuild
new file mode 100644
index 000000000..abbd43464
--- /dev/null
+++ b/sci-biology/snapgene/snapgene-8.2.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit xdg
+
+DESCRIPTION="Software for plasmid mapping, primer design, and restriction site 
analysis"
+HOMEPAGE="https://www.snapgene.com/snapgene-viewer";
+SRC_URI="${PN}_${PV}_linux.deb"
+S="${WORKDIR}"
+
+LICENSE="snapgene"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="bindist fetch"
+QA_PREBUILT="*"
+
+pkg_nofetch() {
+       elog "Please download ${SRC_URI} from:"
+       elog "${HOMEPAGE}"
+       elog "and place it at your DISTDIR directory."
+}
+
+src_install() {
+       dodir /
+       cd "${ED}" || die
+       unpack "${WORKDIR}"/data.tar.xz
+
+       # Cleaning
+       rm -rf "${ED}"/usr/share/doc/snapgene || die
+
+       sed -i -e 's/Application;//' \
+               "${ED}"/usr/share/applications/snapgene.desktop || die
+       sed -i -e 's#application/x-dna;application/x-dna;##' \
+               "${ED}"/usr/share/applications/snapgene.desktop || die
+}

Reply via email to